routes/web.php
<?php

use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/clear', function() {
    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    return "Cleared!";
});
Auth::routes(['register'=>false]);

Route::get('/', 'HomeController@welcome')->name('welcome');
Route::get('/home', 'HomeController@index')->name('home');
Route::get('/product/{id}', 'HomeController@product')->name('product');
Route::get('/our/product', 'HomeController@ourProduct')->name('our.product');
Route::get('/about/us', 'HomeController@aboutUs')->name('about.us');
Route::get('/contact/us', 'HomeController@contactUs')->name('contact.us');

Route::group(['as'=>'admin.','prefix'=>'admin','namespace'=>'Admin','middleware'=>['auth','admin','history']], function () {
    Route::get('/dashboard','DashboardController@index')->name('dashboard');

    Route::get('/logo/name','DashboardController@logoName')->name('logo.name');
    Route::put('/logo/name/update','DashboardController@logoNameUpdate')->name('logo.name.update');

    Route::get('/social','DashboardController@social')->name('social');
    Route::put('/social/update','DashboardController@socialUpdate')->name('social.update');

    Route::get('/contact','DashboardController@contact')->name('contact');
    Route::put('/contact/update','DashboardController@contactUpdate')->name('contact.update');

    Route::get('/about/us','DashboardController@aboutUs')->name('about.us');
    Route::put('/about/us/update','DashboardController@aboutUsUpdate')->name('about-us.update');

    Route::get('/category/add','CategoryController@category')->name('category');
    Route::post('/category/add/add','CategoryController@categoryAdd')->name('category.add');
    Route::get('/category/view','CategoryController@categoryView')->name('category.view');
    Route::get('/category/edit{id}','CategoryController@categoryEdit')->name('category.edit');
    Route::put('/category/update{id}','CategoryController@categoryUpdate')->name('category.update');
    Route::delete('/category/delete{id}','CategoryController@categoryDelete')->name('category.delete');

    Route::get('/product/add','ProductController@product')->name('product');
    Route::post('/product/add/add','ProductController@productAdd')->name('product.add');
    Route::get('/product/{id}edit','ProductController@productedit')->name('product.edit');
    Route::get('/product/view','ProductController@productView')->name('product.view');
    Route::put('/product{id}/update','ProductController@productUpdate')->name('product.update');
    Route::delete('/product/delete{id}','ProductController@productDelete')->name('product.delete');

});

resources/views/Admin/about_us.blade.php
@extends('layouts.backend.app')

@section('title','About Us')

@push('css')

@endpush
@section('content')

    <div class="container-fluid">
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            Update About Us
                        </h2>
                    </div>
                    <div class="body">
                        <form action="{{route('admin.about-us.update')}}" method="post" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            <div class="body">
                                <div class="form-group form-float">
                                    <div class="form-line">
                                        <input type="text" id="title" value="{{isset($info->title)?$info->title:''}}" class="form-control" name="title">
                                        <label class="form-label">Title</label>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <img src="{{isset($info->image)?asset('public/storage/'.$info->image):''}}">
                                </div>
                                <div class="form-group">
                                    <label class="form-label">Upload Images</label>
                                    <input type="file" name="image">
                                </div>
                                <div class="form-group">
                                    <label class="form-label">Description</label>
                                    <textarea class="form-control" id="description" rows="6" name="description" style="outline: none !important;border-color: #719ECE;box-shadow: 0 0 10px #719ECE;"> {!! isset($info->description)?$info->description:'' !!}</textarea>
                                </div>
                                <div class="form-group">
                                    <input type="submit" class="btn btn-primary" value="Submit">
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Input -->
    </div>

@endsection

@push('js')

@endpush

resources/views/Admin/add_category.blade.php
@extends('layouts.backend.app')

@section('title','Add Category')

@push('css')

@endpush
@section('content')

    <div class="container-fluid">
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            Add New Category
                        </h2>
                    </div>
                    <div class="body">
                        <h2 class="card-inside-title">Category</h2>
                        <form action="{{route('admin.category.add')}}" method="post">
                            @csrf
                            @method('POST')
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="text" name="name" class="form-control" placeholder="Name" />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div>
                                            <input type="submit" value="Add" class="btn btn-primary" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Input -->
    </div>

@endsection

@push('js')

@endpush

resources/views/Admin/contact_info.blade.php
@extends('layouts.backend.app')

@section('title','Contact-information')

@push('css')

@endpush
@section('content')
    <div class="container-fluid">
        <!-- Vertical Layout -->
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            CONTACT INFORMATION
                        </h2>
                    </div>
                    <div class="body">
                        <form action="{{route('admin.contact.update')}}" method="post">
                            @csrf
                            @method('PUT')
                            <label for="email_address">Phone number 1</label>
                            <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="material-icons">phone</i>
                                            </span>
                                <div class="form-line">
                                    <input type="text" name="phone1" value="{{ isset($info->phone1)?$info->phone1:'' }}" class="form-control mobile-phone-number" placeholder="Ex: +880xxxxxxxxxx">
                                </div>
                            </div>
                            <label for="email_address">Phone number 2</label>
                            <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="material-icons">phone</i>
                                            </span>
                                <div class="form-line">
                                    <input type="text" name="phone2" value="{{ isset($info->phone2)?$info->phone2:'' }}" class="form-control mobile-phone-number" placeholder="Ex: +880xxxxxxxxxx">
                                </div>
                            </div>
                            <label for="email_address">Email Address</label>
                            <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="material-icons">email</i>
                                            </span>
                                <div class="form-line">
                                    <input type="text" name="email" value="{{ isset($info->email)?$info->email:'' }}" class="form-control email" placeholder="Ex: example@example.com">
                                </div>
                            </div>
                            <label for="email_address">Location</label>
                            <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="material-icons">location_city</i>
                                            </span>
                                <div class="form-line">
                                    <input type="text" name="address" value="{{ isset($info->address)?$info->address:'' }}" class="form-control mobile-phone-number">
                                </div>
                            </div>
                            <label for="email_address">Maps</label>
                            <div class="input-group">
                                            <span class="input-group-addon">
                                                <i class="material-icons">near_me</i>
                                            </span>
                                <div class="form-line">
                                    <input type="text" name="map" value="{{ isset($info->map_location)?$info->map_location:'' }}" class="form-control mobile-phone-number">
                                </div>
                            </div>


                            <br>
                            <input type="submit" class="btn btn-primary" />
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Vertical Layout -->

    </div>
@endsection

@push('js')

@endpush

resources/views/Admin/dashboard.blade.php
@extends('layouts.backend.app')

@section('title','Dashboard')

@push('css')

@endpush
@section('content')

    <div class="container-fluid">
        <div class="block-header">
            <h2>DASHBOARD</h2>
        </div>

        <!-- Widgets -->
        <div class="row clearfix">
            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                <div class="info-box bg-pink hover-expand-effect">
                    <div class="icon">
                        <i class="material-icons">playlist_add_check</i>
                    </div>
                    <div class="content">
                        <div class="text">TOTAL FEATURES</div>
                        <div class="number count-to" data-from="0" data-to="0" data-speed="1000" data-fresh-interval="20"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                <div class="info-box bg-cyan hover-expand-effect">
                    <div class="icon">
                        <i class="material-icons">help</i>
                    </div>
                    <div class="content">
                        <div class="text">TEAM MEMBERS</div>
                        <div class="number count-to" data-from="0" data-to="0" data-speed="1000" data-fresh-interval="20"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                <div class="info-box bg-orange hover-expand-effect">
                    <div class="icon">
                        <i class="material-icons">person_add</i>
                    </div>
                    <div class="content">
                        <div class="text">TOTAL PARTNERS</div>
                        <div class="number count-to" data-from="0" data-to="0" data-speed="1000" data-fresh-interval="20"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                <div class="info-box bg-light-green hover-expand-effect">
                    <div class="icon">
                        <i class="material-icons">forum</i>
                    </div>
                    <div class="content">
                        <div class="text">TOTAL COMMENTS</div>
                        <div class="number count-to" data-from="0" data-to="0" data-speed="1000" data-fresh-interval="20"></div>
                    </div>
                </div>
            </div>


        </div>
        <!-- #END# Widgets -->
    </div>

@endsection

@push('js')
    <!-- Jquery CountTo Plugin Js -->
    <script src="{{asset('assets/backend/plugins/jquery-countto/jquery.countTo.js')}}"></script>
@endpush

resources/views/Admin/logo_name.blade.php
@extends('layouts.backend.app')

@section('title','Logo and Name')

@push('css')

@endpush
@section('content')

    <div class="container-fluid">
        <div class="block-header">
            <h2>Logo and Name</h2>
        </div>
        <!-- Input -->
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            Logo and Name
                        </h2>
                    </div>
                    <div class="body">
                        <h2 class="card-inside-title">Logo Name</h2>
                        <form action="{{route('admin.logo.name.update')}}" method="post" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="text" name="name" value="{{ isset($info->name)?$info->name:'' }}" class="form-control" placeholder="Name" />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <img src="{{isset($info->logo)?asset('public/storage/logo/'.$info->logo):''}}">
                                    </div>
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="file" name="logo" class="form-control" />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div>
                                            <input type="submit" class="btn btn-primary" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Input -->
    </div>

@endsection

@push('js')

@endpush

resources/views/Admin/social.blade.php
@extends('layouts.backend.app')

@section('title','Contact-information')

@push('css')

@endpush
@section('content')
    <div class="container-fluid">
        <!-- Vertical Layout -->
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            SOCIAL LINKS
                        </h2>

                    </div>
                    <div class="body">
                        <form action="{{route('admin.social.update')}}" method="post" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            <label for="email_address">Facebook</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" name="facebook" value="{{ isset($socials->fb)?$socials->fb:'' }}" class="form-control mobile-phone-number" placeholder="Enter facebook id link">
                                </div>
                            </div>
                            <label for="email_address">Twitter</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" name="twitter" value="{{ isset($socials->tw)?$socials->tw:'' }}" class="form-control mobile-phone-number" placeholder="Enter twitter id link">
                                </div>
                            </div>
                            <label for="email_address">Instagram</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" name="instagram" value="{{ isset($socials->instagram)?$socials->instagram:'' }}" class="form-control mobile-phone-number" placeholder="Enter instagram id link">
                                </div>
                            </div>
                            <label for="email_address">Youtube</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" name="youtube" value="{{ isset($socials->youtube)?$socials->youtube:'' }}" class="form-control mobile-phone-number" placeholder="Enter youtube link">
                                </div>
                            </div>
                            <label for="email_address">Linkedin</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" name="linkedin" value="{{ isset($socials->linkedin)?$socials->linkedin:'' }}" class="form-control mobile-phone-number" placeholder="Enter linkedin id link">
                                </div>
                            </div>
                            <label for="email_address">Skype</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" name="skype" value="{{ isset($socials->skype)?$socials->skype:'' }}" class="form-control mobile-phone-number" placeholder="Enter skype id link">
                                </div>
                            </div>
                            <br>
                            <input type="submit" class="btn btn-primary" />
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Vertical Layout -->

    </div>
@endsection

@push('js')

@endpush